Name:		libint
Version:	1.1.4
Release:	1%{?dist}
Summary:	A library that evaluates integrals over Gaussian basis functions
Group:		System Environment/Libraries
License:	GPLv2+
URL:		http://www.files.chem.vt.edu/chem-dept/valeev/software/libint/libint.html
Source0:	http://www.files.chem.vt.edu/chem-dept/valeev/software/libint/src/libint-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
# Required to build documentation
BuildRequires:	/usr/bin/bibtex
BuildRequires:	/usr/bin/pdflatex

%description
Libint library is used to evaluate the traditional (electron repulsion) and
certain novel two-body matrix elements (integrals) over Cartesian Gaussian
functions used in modern atomic and molecular theory. The idea of the library
is to let computer write optimized code for computing such integrals. There
are two primary advantages to this: much less human effort is required to
write code for computing new integrals, and code can be optimized specifically
for a particular computer architecture (e.g., vector processor).

Libint has been utilized to implement methods such as Hartree-Fock (HF) and
Kohn-Sham density functional theory (KS DFT), second-order Moller-Plesset
perturbation theory (MP2), coupled cluster singles and doubles (CCSD)
method, as well as explicitly correlated R12 methods.

%package devel
Summary:	Development headers and libraries for libint
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains development headers and libraries for libint.
It also contains a programmer's manual.

%prep
%setup -q

%build
%configure --enable-shared --disable-static
make CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" %{?_smp_mflags}

# Build documentation
cd doc/progman
pdflatex progman
bibtex progman
pdflatex progman
pdflatex progman


%install
rm -rf %{buildroot} 
make install DESTDIR=%{buildroot}
find %{buildroot} -name *.la -delete
find %{buildroot} -name *.so.*.* -exec chmod 755 {} \;

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/progman/progman.pdf
%{_includedir}/libint/
%{_includedir}/libderiv/
%{_includedir}/libr12/
%{_libdir}/*.so


%changelog
* Tue May 26 2009 Jussi Lehtola <jussi.lehtola@iki.fi> - 1.1.4-1
- First release.
